#pragma once
#include "Graphics.h"
#include "Drawable.h"

class CoordinateTransformation
{
public:
	CoordinateTransformation(Graphics& gfx);
	~CoordinateTransformation();

	void Draw(Drawable& drawable) const;
private:
	Graphics& gfx;
	const int offsetX = Graphics::ScreenWidth / 2;
	const int offsetY = Graphics::ScreenHeight / 2;
};