#pragma once
#include "Star.h"
#include "Entity.h"

class MyStar : public Entity
{
public:
	MyStar(std::vector<Vec2> model, float radius,
		Vec2 position, Color c)
		: Entity(std::move(model), position, c ),
		radius(radius)
	{
	}

	~MyStar() = default;

	float GetRadius()
	{
		return radius;
	}

private:
	float radius;
};
