#include "CoordinateTransformation.h"

CoordinateTransformation::CoordinateTransformation(Graphics& gfx)
	:gfx(gfx)
{
}

CoordinateTransformation::~CoordinateTransformation()
{
}

void CoordinateTransformation::Draw(Drawable& drawable) const
{
	//Flip
	drawable.Scale({ 1.0f, -1.0f });
	//Translate
	drawable.Translate({ (float)offsetX, (float)offsetY });
	drawable.Render(gfx);
}